firefox 64-bit IcedTea java not working.

Bug #177514 reported by Søren Bredlund Caspersen on 2007-12-19
50
Affects Status Importance Assigned to Milestone
firefox-3.0 (Ubuntu)
Medium
Unassigned
Gutsy
Undecided
Unassigned
icedtea-java7 (Ubuntu)
High
Unassigned
Gutsy
High
Unassigned
ubufox (Ubuntu)
High
Alexander Sack
Gutsy
Undecided
Unassigned

Bug Description

Binary package hint: firefox

When running Firefox from a terminal I get this output when entering a site with a java applet (could be http://javatester.org/version.html)

ca@ca-laptop:~$ firefox
GCJ PLUGIN: thread 0x6195b0: NP_Initialize
GCJ PLUGIN: thread 0x6195b0: plugin_test_appletviewer
GCJ PLUGIN: thread 0x6195b0: plugin_test_appletviewer return
GCJ PLUGIN: thread 0x6195b0: NP_Initialize: using /usr/lib/jvm/java-7-icedtea/jre/lib/amd64/../../bin/pluginappletviewer
GCJ PLUGIN: thread 0x6195b0: NP_Initialize return
GCJ PLUGIN: thread 0x6195b0: GCJ_New
GCJ PLUGIN: thread 0x6195b0: plugin_data_new
GCJ PLUGIN: thread 0x6195b0: plugin_data_new return
GCJ PLUGIN: thread 0x6195b0: plugin_get_documentbase
GCJ PLUGIN: thread 0x6195b0: plugin_get_documentbase return
GCJ PLUGIN: thread 0x6195b0: GCJ_New: creating input fifo: /home/ca/.gcjwebplugin/gcj-instance-14902-0-appletviewer-to-plugin
GCJ PLUGIN: thread 0x6195b0: GCJ_New: created input fifo: /home/ca/.gcjwebplugin/gcj-instance-14902-0-appletviewer-to-plugin
GCJ PLUGIN: thread 0x6195b0: GCJ_New: creating output fifo: /home/ca/.gcjwebplugin/gcj-instance-14902-0-plugin-to-appletviewer
GCJ PLUGIN: thread 0x6195b0: GCJ_New: created output fifo: /home/ca/.gcjwebplugin/gcj-instance-14902-0-plugin-to-appletviewer
GCJ PLUGIN: thread 0x6195b0: plugin_start_appletviewer
GCJ PLUGIN: thread 0x6195b0: plugin_start_appletviewer return
GCJ PLUGIN: thread 0x6195b0: GCJ_New: got confirmation that appletviewer is running.
GCJ PLUGIN: thread 0x6195b0: plugin_create_applet_tag
GCJ PLUGIN: thread 0x6195b0: plugin_create_applet_tag return
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: instance-14902-0
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: tag http://javatester.org/version.html <EMBED CODE="JavaVersionDisplayApplet.class" HEIGHT="60" WIDTH="440" ><PARAM NAME="alt" VALUE="Browser has Java disabled"><PARAM NAME="hspace" VALUE="22"></EMBED>
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer return
  PIPE: appletviewer wrote: runningGCJ PLUGIN: thread 0x6195b0: GCJ_New return

  PIPE: appletviewer read: instance-14902-0
  PIPE: appletviewer read: tag http://javatester.org/version.html <EMBED CODE="JavaVersionDisplayApplet.class" HEIGHT="60" WIDTH="440" ><PARAM NAME="alt" VALUE="Browser has Java disabled"><PARAM NAME="hspace" VALUE="22"></EMBED>
GCJ PLUGIN: thread 0x6195b0: NP_GetValue
GCJ PLUGIN: thread 0x6195b0: NP_GetValue: returning plugin description.
GCJ PLUGIN: thread 0x6195b0: NP_GetValue return
GCJ PLUGIN: thread 0x6195b0: GCJ_GetValue
GCJ PLUGIN: thread 0x6195b0: GCJ_GetValue: returning TRUE for NeedsXEmbed.
GCJ PLUGIN: thread 0x6195b0: GCJ_GetValue return
GCJ PLUGIN: thread 0x6195b0: GCJ_SetWindow
GCJ PLUGIN: thread 0x6195b0: GCJ_SetWindow: setting window.
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: instance-14902-0
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: handle 52430421
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x6195b0: GCJ_SetWindow return
  PIPE: appletviewer read: instance-14902-0GCJ PLUGIN: thread 0x6195b0: GCJ_SetWindow
GCJ PLUGIN: thread 0x6195b0: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x6195b0: GCJ_SetWindow: window width changed.
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer

  PIPE: plugin wrote: instance-14902-0
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: width 440
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x6195b0: GCJ_SetWindow: window height changed.
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer
  PIPE: plugin wrote: instance-14902-0
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer
  PIPE: appletviewer read: handle 52430421 PIPE: plugin wrote: height 60
GCJ PLUGIN: thread 0x6195b0: plugin_send_message_to_appletviewer return
GCJ PLUGIN: thread 0x6195b0: GCJ_SetWindow return

GCJ PLUGIN: thread 0x6195b0: GCJ_SetWindow
GCJ PLUGIN: thread 0x6195b0: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x6195b0: GCJ_SetWindow return
GCJ PLUGIN: thread 0x6195b0: GCJ_SetWindow
GCJ PLUGIN: thread 0x6195b0: GCJ_SetWindow: window already exists.
GCJ PLUGIN: thread 0x6195b0: GCJ_SetWindow return
#
# An unexpected error has been detected by Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00002b08f659ee11, pid=14918, tid=1074792784
#
# Java VM: IcedTea 64-Bit Server VM (1.7.0-b21 mixed mode linux-amd64)
# Problematic frame:
# V [libjvm.so+0x5c9e11]
#
# An error report file with more information is saved as:
# /home/ca/hs_err_pid14918.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
#
GCJ PLUGIN: thread 0x6195b0: plugin_out_pipe_callback
GCJ PLUGIN: thread 0x6195b0: plugin_out_pipe_callback: appletviewer has stopped.
GCJ PLUGIN: thread 0x6195b0: plugin_out_pipe_callback return
GCJ PLUGIN: thread 0x6195b0: plugin_in_pipe_callback
GCJ PLUGIN: thread 0x6195b0: appletviewer has stopped.
GCJ PLUGIN: thread 0x6195b0: plugin_in_pipe_callback return

ProblemType: Bug
Architecture: amd64
Date: Wed Dec 19 19:45:07 2007
DistroRelease: Ubuntu 7.10
NonfreeKernelModules: nvidia
Package: firefox 2.0.0.11+2nobinonly-0ubuntu0.7.10
PackageArchitecture: amd64
SourcePackage: firefox
Uname: Linux ca-laptop 2.6.22-14-generic #1 SMP Tue Dec 18 05:28:27 UTC 2007 x86_64 GNU/Linux

matejcik (matejcik) wrote :

i can confirm this too, on clean ubuntu amd64 install + updates + nswrapper flash plugin + mplayerplug_in + icedtea java

attaching a sample hs_err_pid(something) - i have dozens of them and they all look basically the same. i can provide more info or help with debugging, tell me what you need

On Thu, Dec 20, 2007 at 11:35:55AM -0000, matejcik wrote:
> i can confirm this too, on clean ubuntu amd64 install + updates +
> nswrapper flash plugin + mplayerplug_in + icedtea java

this is a icedtea java issue

 affects ubuntu/icedtea-java7
 status confirmed
 importance medium

and not a firefox one

 affects ubuntu/firefox
 status invalid

Thanks,

 - Alexander

Changed in firefox:
status: New → Invalid
Bigbiz (markozz) wrote :

The java plugin is not working in Hardy Heron 64 bit.
How to solve this issue?

snares (snaresv6-4) wrote :

had this issue. I found a solution in Bug #152362 https://bugs.launchpad.net/ubuntu/+source/icedtea-java7/+bug/152362
 I ran

sudo apt-get build-dep icedtea-java7-plugin
sudo apt-get -b source icedtea-java7-plugin icedtea-java7-bin icedtea-java7-jre icedtea-java7-jdk
sudo dpkg -i icedtea-java7-*deb

took a wicked long time but in the end it worked.

cheers

Noel J. Bergman (noeljb) wrote :

> I ran and] in the end it worked.

I did

 # apt-get build-dep icedtea-java7-plugin

successfully. But when I run

 # apt-get -b source icedtea-java7-plugin icedtea-java7-bin icedtea-java7-jre icedtea-java7-jdk

I get an error:

------------
/bin/mkdir -p /root/icedtea-java7-7~b24-1.5+20080118/openjdk-ecj/build/linux-amd64/langtools
(cd ./langtools/make && \
  /usr/bin/make JDK_TOPDIR=/root/icedtea-java7-7~b24-1.5+20080118/openjdk-ecj/jdk JDK_MAKE_SHARED_DIR=/root/icedtea-java7-7~b24-1.5+20080118/openjdk-ecj/jdk/make/common/shared EXTERNALSANITYCONTROL=true TARGET_CLASS_VERSION=5 MILESTONE=internal BUILD_NUMBER=b24 JDK_BUILD_NUMBER=b24 FULL_VERSION=1.7.0-b24 PREVIOUS_JDK_VERSION=1.6.0 JDK_VERSION=1.7.0 JDK_MKTG_VERSION=7 JDK_MAJOR_VERSION=1 JDK_MINOR_VERSION=7 JDK_MICRO_VERSION=0 ARCH_DATA_MODEL=64 COOKED_BUILD_NUMBER=24 ANT_HOME="/usr/share/ant" FINDBUGS_HOME="/NOT-SET/devtools/share/findbugs/latest" ALT_OUTPUTDIR=/root/icedtea-java7-7~b24-1.5+20080118/openjdk-ecj/build/linux-amd64/langtools ALT_BOOTDIR=/root/icedtea-java7-7~b24-1.5+20080118/bootstrap/jdk1.6.0 all)
make[3]: Entering directory `/root/icedtea-java7-7~b24-1.5+20080118/openjdk-ecj/langtools/make'
ANT_OPTS=-Djava.io.tmpdir='/root/icedtea-java7-7~b24-1.5+20080118/openjdk-ecj/build/linux-amd64/langtools/build/ant-tmp' ant -diagnostics > /root/icedtea-java7-7~b24-1.5+20080118/openjdk-ecj/build/linux-amd64/langtools/build/ant-diagnostics.log
make[3]: *** [build] Error 1
make[3]: Leaving directory `/root/icedtea-java7-7~b24-1.5+20080118/openjdk-ecj/langtools/make'
make[2]: *** [langtools-build] Error 2
make[2]: Leaving directory `/root/icedtea-java7-7~b24-1.5+20080118/openjdk-ecj'
make[1]: *** [stamps/icedtea-ecj.stamp] Error 2
make[1]: Leaving directory `/root/icedtea-java7-7~b24-1.5+20080118'
make: *** [stamps/build] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
Build command 'cd icedtea-java7-7~b24-1.5+20080118 && dpkg-buildpackage -b -uc' failed.
E: Child process failed
------------

 # ls -l
 drwxr-xr-x 17 root root 4096 2008-02-15 18:13 icedtea-java7-7~b24-1.5+20080118
 -rw-r--r-- 1 root root 74086 2008-01-19 11:03 icedtea-java7_7~b24-1.5+20080118-1.diff.gz
 -rw-r--r-- 1 root root 1544 2008-01-19 11:03 icedtea-java7_7~b24-1.5+20080118-1.dsc
 -rw-r--r-- 1 root root 78402170 2008-01-19 11:03 icedtea-java7_7~b24-1.5+20080118.orig.tar.gz

Hardy Alpha 4 x86_64 with all updates as of time of posting (I've just checked to be sure).

Suggestions?

Noel J. Bergman (noeljb) wrote :

> Suggestions?

 # cat /root/icedtea-java7-7~b24-1.5+20080118/openjdk-ecj/build/linux-amd64/langtools/build/ant-diagnostics.log
 Error: JAVA_HOME is not defined correctly.
   We cannot execute java

Catch-22 much?

Noel J. Bergman (noeljb) wrote :

Setting JAVA_HOME resulted in:

ERROR: Your JAVA_HOME environment variable is set. This will
       most likely cause the build to fail. Please unset it
       and start your build again.

Clearly it is building for some of you.

Noel J. Bergman (noeljb) wrote :

Trying to reproduce the solution described by others, I did get further, but still icedtea still FTBFS. Opened a separate ticket related to the FTBFS issue: https://bugs.launchpad.net/ubuntu/+source/icedtea-java7/+bug/192292

Noel J. Bergman (noeljb) wrote :

Confirming that once I finally got IcedTea to build locally from source, I was able to get it working with FireFox 3.

Alexander Sack (asac) wrote :

On Sat, Feb 16, 2008 at 06:41:21AM -0000, Noel J. Bergman wrote:
> Confirming that once I finally got IcedTea to build locally from source,
> I was able to get it working with FireFox 3.
>

I installed the most recent version from hardy and it works on amd64
here. Can you please test again?

 status incomplete

 - Alexander

Changed in firefox:
status: Invalid → Incomplete
Noel J. Bergman (noeljb) wrote :

Alexander, I'll be happy to do so. Do you mean just the binary packages, or build from source? Either way, I'll wait for Alpha 5, since we're just a couple of days away, and I'll be doing a full clean install.

Alexander Sack (asac) wrote :

On Wed, Feb 20, 2008 at 04:20:27AM -0000, Noel J. Bergman wrote:
> Alexander, I'll be happy to do so. Do you mean just the binary
> packages, or build from source? Either way, I'll wait for Alpha 5,

only the binary packages matter for us ;) ...

> since we're just a couple of days away, and I'll be doing a full clean
> install.
>

Please do so asap. We need to know if there are still broken setups
with this.

 - Alexander

Sam_ (and-sam) wrote :

Hi,
I'd like to join with my report, maybe it helps resolving.
On different test sites for Java the applet isn't working and generating "hs_err_pid" logs, one is attached.
My wish is a positive result with Hardy, thanks in advance :-)

#java -version
java version "1.5.0_13"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_13-b05)
Java HotSpot(TM) 64-Bit Server VM (build 1.5.0_13-b05, mixed mode)

#update-alternatives --list java
/usr/lib/jvm/java-1.5.0-sun/jre/bin/java
/usr/bin/gij-4.2
/usr/bin/gij-4.1
/usr/lib/jvm/java-7-icedtea/jre/bin/java

Noel J. Bergman (noeljb) wrote :

Alexander,

Still broken:

#
# An unexpected error has been detected by Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007fa0ae69b141, pid=21119, tid=1104161104
#
# Java VM: IcedTea 64-Bit Server VM (1.7.0-b24 mixed mode linux-amd64)
# Problematic frame:
# V [libjvm.so+0x5ca141]
#
# An error report file with more information is saved as:
# /home/noel/hs_err_pid21119.log
#
# If you would like to submit a bug report, please visit:
# http://icedtea.classpath.org/bugzilla

Clean install of Hardy Alpha 5, went a site with a Java applet, let Firefox-3 install the plugin, restarted Firefox, returned to the site, and there you go.

Log file attached.

Noel J. Bergman (noeljb) wrote :

And, for completeness, after performing a local build:

 # apt-get install icedtea-java7-jdk
 # apt-get build-dep icedtea-java7-plugin
 # apt-get -b source icedtea-java7-plugin icedtea-java7-bin icedtea-java7-jre icedtea-java7-jdk
 # dpkg -i icedtea-java7*.deb

the same page works fine.

Alexander Sack (asac) wrote :

please attach your .mozilla/firefox/pluginreg.dat and your .mozilla/pluginreg.dat

when it crashes for you.

Thanks,

 - Alexander

Alexander Sack (asac) wrote :

we need a fix for final

Changed in firefox-3.0:
milestone: none → ubuntu-8.04
importance: Undecided → Medium
Changed in icedtea-java7:
importance: Medium → High
milestone: none → ubuntu-8.04
Koen Verweij (kfverweij) wrote :

Same problem here on updated Hardy with Firefox 3.

Koen Verweij (kfverweij) wrote :

This is the one in my profile. I guess you needed to see this one instead of the other one :P

Noel J. Bergman (noeljb) wrote :

> please attach your .mozilla/firefox/pluginreg.dat and your .mozilla/pluginreg.dat

Only ~/.mozilla/firefox/*/pluginreg.dat exists. Attached. Clean install of Hardy Alpha 6. Still crashes unless I build from source.

Ilmari Vacklin (wolverian) wrote :

Doesn't work for me either. Attaching pluginreg.dat, please ask if you need more.

Ilmari Vacklin (wolverian) wrote :
Ilmari Vacklin (wolverian) wrote :

Finally, I don't have a .mozilla/pluginreg.dat.

Noel J. Bergman (noeljb) wrote :

Still broken in Hardy Beta. Crash log attached.

If https://bugs.launchpad.net/ubuntu/+source/icedtea-java7/+bug/152362/comments/29 is correct, it doesn't inspire confidence in Ubuntu provided 64 bit binaries. What is going on?

Matti Lindell (mlind) wrote :

icedtea-java7 is being superseded by openjdk-6 in Hardy (see bug #203636). Does this problem persist with icedtea-gcjwebplugin ?

kenjo (ken-kenjo) wrote :

What do you want us to test the icedtea plugin without icedtea installed ??

All I want is some plugin that works I really do not care if it's the latest java version. but I have found no version that works so far under X86_64.

Matti Lindell (mlind) wrote :

kenjo, icedtea-gcjwebplugin is about to replace icedtea-java7-plugin. Did you try it yet?

Matti Lindell (mlind) wrote :

Except that you currently probably need to manually register the plugin to test, see bug #173966.

kenjo (ken-kenjo) wrote :

On Sat, 2008-03-22 at 09:36 +0000, Matti Lindell wrote:
> icedtea-java7 is being superseded by openjdk-6 in Hardy (see bug
> #203636). Does this problem persist with icedtea-gcjwebplugin ?

If i install icedtea-gcjwebplugin and then
in /usr/lib/firefox-addons/plugins
do a ln -s /usr/lib/jvm/java-6-openjdk/jre/lib/amd64/gcjwebplugin.so

I got it to work. But what if I want to use sun-java6 ?

Matti Lindell (mlind) wrote :

kenjo, until bug #173966 is fixed, to get sun-java6 plugin working, you'll need to manually link /usr/lib/jvm/java-6-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so as /usr/lib/xulrunner-addons/plugins/libjavaplugin_oji.so.

$ ln -s /usr/lib/jvm/java-6-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so /usr/lib/xulrunner-addons/plugins/libjavaplugin_oji.so

Noel J. Bergman (noeljb) wrote :

> icedtea-java7 is being superseded by openjdk-6 in Hardy (see bug #203636).
> Does this problem persist with icedtea-gcjwebplugin ?

Matti, I know how to make Java work on Ubuntu by hand. Alex asked us to test what happens for normal users, for whom something either happens automatically and properly or it doesn't work, so that's what I reported on a clean install of Hardy Beta.

Attached is the plugin registry, for what it is worth. Hardy still installs GCJ Web Browser Plugin (using IcedTea), so that's what such users would get.

kenjo (ken-kenjo) wrote :

On Sat, 2008-03-22 at 13:07 +0000, Matti Lindell wrote:
> kenjo, until bug #173966 is fixed, to get sun-java6 plugin working,
> you'll need to manually link
> /usr/lib/jvm/java-6-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so as
> /usr/lib/xulrunner-addons/plugins/libjavaplugin_oji.so.
>
> $ ln -s /usr/lib/jvm/java-6-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so
> /usr/lib/xulrunner-addons/plugins/libjavaplugin_oji.so

I'm on x86_64. Even if I download from sun I have no plugin binary for
x86_64.

maybe it's possible to use nspluginwrapper but then I need to install
the i32 version of java.

Steve Langasek (vorlon) wrote :

This has been resolved through the removal of the icedtea-java7 package from the archive. The icedtea-gcjwebplugin package, which links against openjdk-6 and replaces icedtea-java7-plugin, works correctly on 64-bit desktops.

However, the new plugin is not offered for install by the ubufox plugin manager, so some update is still required there in order to get java support by default.

Changed in icedtea-java7:
status: Confirmed → Fix Released
Changed in ubufox:
importance: Undecided → High
milestone: none → ubuntu-8.04
status: New → Confirmed
Changed in firefox-3.0:
status: Incomplete → Invalid
Pelládi Gábor (pelladigabor) wrote :

I can confirm that the package icedtea-gcjwebplugin works on amd64. But why does this package include 'icedtea' in it's name, despite it depends on openjdk? Other packages named icedtea are being removed. Why not calling it openjdk-6-plugin, or openjdk-gcjwebplugin?

Steve Langasek (vorlon) on 2008-03-23
Changed in ubufox:
assignee: nobody → asac
Marck Robinson (marck) wrote :

The icedtea-gcjwebplugin seems to still be missing some components, I'm getting the following error:

java.lang.NoClassDefFoundError: netscape/javascript/JSObject

Is there something else that should be added for live connect?

Matti Lindell (mlind) wrote :

Marck, open a new bug against icedtea-gcjwebplugin package and describe the steps to reproduce.

It seems like NoClassDefFoundError is actually caused by a SecurityException; see following stack trace. The ACE is caused by the fact that IcedTea doesn't (yet) support signed applets and therefore applets are ran in untrusted mode (I guess).

java.lang.NoClassDefFoundError: netscape/javascript/JSObject
 at dk.danskebank.detector.DetectorApplet.init(DetectorApplet.java:12)
 at sun.applet.AppletPanel.run(AppletPanel.java:435)
 at java.lang.Thread.run(Thread.java:636)
Caused by: java.lang.ClassNotFoundException: netscape.javascript.JSObject
 at sun.applet.AppletClassLoader.findClass(AppletClassLoader.java:201)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:323)
 at sun.applet.AppletClassLoader.loadClass(AppletClassLoader.java:145)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:268)
 at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:336)
 ... 3 more
Caused by: javax.net.ssl.SSLException: java.security.AccessControlException: access denied (java.lang.RuntimePermission modifyThreadGroup)
 at sun.security.ssl.Alerts.getSSLException(Alerts.java:208)
 at sun.security.ssl.SSLSocketImpl.fatal(SSLSocketImpl.java:1611)
 at sun.security.ssl.SSLSocketImpl.fatal(SSLSocketImpl.java:1574)
 at sun.security.ssl.SSLSocketImpl.handleException(SSLSocketImpl.java:1557)
 at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1150)
 at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1127)
 at sun.net.www.protocol.https.HttpsClient.afterConnect(HttpsClient.java:423)
 at sun.net.www.protocol.https.AbstractDelegateHttpsURLConnection.connect(AbstractDelegateHttpsURLConnection.java:185)
 at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:997)
 at java.net.HttpURLConnection.getResponseCode(HttpURLConnection.java:391)
 at sun.net.www.protocol.https.HttpsURLConnectionImpl.getResponseCode(HttpsURLConnectionImpl.java:338)
 at sun.applet.AppletClassLoader.getBytes(AppletClassLoader.java:302)
 at sun.applet.AppletClassLoader.access$100(AppletClassLoader.java:62)
 at sun.applet.AppletClassLoader$1.run(AppletClassLoader.java:191)
 at java.security.AccessController.doPrivileged(Native Method)
 at sun.applet.AppletClassLoader.findClass(AppletClassLoader.java:188)
 ... 7 more
Caused by: java.security.AccessControlException: access denied (java.lang.RuntimePermission modifyThreadGroup)
 at java.security.AccessControlContext.checkPermission(AccessControlContext.java:342)
 at java.security.AccessController.checkPermission(AccessController.java:553)
 at java.lang.SecurityManager.checkPermission(SecurityManager.java:549)
 at sun.applet.AppletSecurity.checkAccess(AppletSecurity.java:252)
 at java.lang.ThreadGroup.checkAccess(ThreadGroup.java:304)
 at java.lang.Thread.init(Thread.java:349)
 at java.lang.Thread.<init>(Thread.java:436)
 at sun.security.ssl.SSLSocketImpl$NotifyHandshakeThread.<init>(SSLSocketImpl.java:2146)
 at sun.security.ssl.SSLSocketImpl.readRecord(SSLSocketImpl.java:920)
 at sun.security.ssl.SSLSocketImpl.performInitialHandshake(SSLSocketImpl.java:1116)
 at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1143)
 ... 18 more

Matti Lindell (mlind) wrote :

LiveConnect/javascript issue is actually being tracked in bug #207064. Related/duplicate is also bug #203484.

Matthias Klose (doko) wrote :

reopening; the package is not yet in gutsy-updates; bug reports, please test this package in gutsy-proposed and report back your feedback in bug #204221. This is required to move the package from gutsy-proposed to gutsy-updates. thanks!

Changed in icedtea-java7:
status: New → In Progress
importance: Undecided → High
Roberto Cássio Jr. (rcsdnj) wrote :

On Gutsy, I've tested after enabling gutsy-proposed and updating icedtea package, and it finally works. Thank you!

I didn't test on a fresh Gutsy installation, though.

Alexander Sack (asac) wrote :

not a firefox issue in gutsy.

Changed in firefox-3.0:
status: New → Invalid
Alexander Sack (asac) wrote :

next ubufox upload will be rolled out together with an updated plugin database. Don't see anything else that ubufox can do here.

Changed in ubufox:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 0.5~rc1-0ubuntu1

---------------
ubufox (0.5~rc1-0ubuntu1) hardy; urgency=low

  Upstream Changes integrated
  * make apturl dependency versioned (>= 0.1.2ubuntu1) - LP: #162609
  * multi distro capability of DB creation script and web service
    (LP: #204435, #177514)
  * simplify ffox 3 code for dispatching NewPluginInstalled events
  * fix plugin Installer Wizard for ffox 3 (LP: #202790)
  * point ubufoxReportBug to firefox-3.0 source package
  * point online help and translate menu entry to firefox-3.0 package and hardy
    distribution (LP: #138968, #203729)
  * merge greek-translation contributed by Athanasios Lefteris
  * LP: #139380, #175969 - merge translations contributed by ubuntu community;
    thanks to Saïvann Carignan for his work on collecting and integrating most
    of them.
    - Added Greek locale - submitted by Athanasios Lefteris (LP: #211404)
    - add Slovenian locale
    - add Swedish locale (LP: #207666)
    - add Portuguese locale
    - add Lithuanian locale (LP: #206133)
    - add Italian locale (LP: #207372)
      + fix mispelled word in Italian translation
    - add Afrikaans locale (LP: #206733)
    - add fr-FR and fr-CA translations
    - add polish translations (LP: #202248)
  * merge fix for LP: #176658 - by Saïvann Carignan <email address hidden>
    - fix ubufox to use the png icon

  Package changes:
  * append &distributionID=8.04 to pfs.datasource.url shipped as defaults
    preference
    - update defaults/preferences/ubufox-pfs.js

 -- Alexander Sack <email address hidden> Sat, 05 Apr 2008 06:35:40 +0200

Changed in ubufox:
status: Fix Committed → Fix Released
Steve Langasek (vorlon) on 2008-04-08
Changed in firefox-3.0:
milestone: ubuntu-8.04 → none
ski (skibrianski) wrote :

Maybe this should be a different bug, but does anyone know why yahoo games's java games don't work with ffox in this method?

Thx.

Matthias Klose (doko) wrote :

hardy-proposed: verified that the rt.jar file is in the architecture specific package

Matthias Klose (doko) wrote :

s/hardy/gutsy/ in the last comment

Martin Pitt (pitti) wrote :

Is there anyone using this gutsy SRU and can confirm that the package actually still works?

Martin Pitt (pitti) wrote :

This update had been in gutsy-proposed for almost a year without any feedback. I removed the proposed package.

Changed in icedtea-java7:
status: In Progress → Won't Fix
Changed in ubufox:
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers